@echo off
c:
cd \csbackups
set RSYNC_PASSWORD=
set RSYNC_USER=
set RSYNC_DIR=
set RSYNC_SERVER=rsync.cs.vt.edu
if NOT DEFINED RSYNC_USER   set /p RSYNC_USER="Username: "
if NOT DEFINED RSYNC_SERVER set /p RSYNC_SERVER="Set rsync server: "
if NOT DEFINED RSYNC_DIR    set /p RSYNC_DIR="Set rsync backup directory: "

REM This is the default -- Backup all of C drive excluding what is in windows_excludes.txt
bin\rsync %1 --force --ignore-errors -a --delete --delete-excluded --exclude-from=windows_excludes.txt "/cygdrive/c/" %RSYNC_USER%@%RSYNC_SERVER%::%RSYNC_USER%_%RSYNC_DIR%

REM Alternative: Backup just the files/folders listed in windows_includes.txt
REM bin\rsync %1 --force -r --ignore-errors -a --delete --delete-excluded --include-from=windows_includes.txt "/cygdrive/c/" %RSYNC_USER%@%RSYNC_SERVER%::%RSYNC_USER%_%RSYNC_DIR%
